# Stackdriver Monitoring API . projects . groups . members

## Instance Methods

Lists the monitored resources that are members of a group.

Retrieves the next page of results.

### Method Details

`list(name, pageSize=None, x__xgafv=None, pageToken=None, interval_endTime=None, filter=None, interval_startTime=None)`

    Lists the monitored resources that are members of a group.

    Args:
      name: string, The group whose members are listed. The format is "projects/{project_id_or_number}/groups/{group_id}". (required)
      pageSize: integer, A positive number that is the maximum number of results to return.
      x__xgafv: string, V1 error format.
        Allowed values
          1 - v1 error format
          2 - v2 error format
      pageToken: string, If this field is not empty then it must contain the nextPageToken value returned by a previous call to this method. Using this field causes the method to return additional results from the previous method call.
      interval_endTime: string, Required. The end of the time interval.
      filter: string, An optional list filter describing the members to be returned. The filter may reference the type, labels, and metadata of monitored resources that comprise the group. For example, to return only resources representing Compute Engine VM instances, use this filter:
    resource.type = "gce_instance"

      interval_startTime: string, Optional. The beginning of the time interval. The default value for the start time is the end time. The start time must not be later than the end time.

    Returns:
      An object of the form:

        { # The ListGroupMembers response.
        "nextPageToken": "A String", # If there are more results than have been returned, then this field is set to a non-empty value. To see the additional results, use that value as pageToken in the next call to this method.
        "totalSize": 42, # The total number of elements matching this request.
        "members": [ # A set of monitored resources in the group.
          { # An object representing a resource that can be used for monitoring, logging, billing, or other purposes. Examples include virtual machine instances, databases, and storage devices such as disks. The type field identifies a MonitoredResourceDescriptor object that describes the resource's schema. Information in the labels field identifies the actual resource and its attributes according to the schema. For example, a particular Compute Engine VM instance could be represented by the following object, because the MonitoredResourceDescriptor for "gce_instance" has labels "instance_id" and "zone":
              # { "type": "gce_instance",
              #   "labels": { "instance_id": "12345678901234",
              #               "zone": "us-central1-a" }}
            "labels": { # Required. Values for all of the labels listed in the associated monitored resource descriptor. For example, Cloud SQL databases use the labels "database_id" and "zone".
              "a_key": "A String",
            },
            "type": "A String", # Required. The monitored resource type. This field must match the type field of a MonitoredResourceDescriptor object. For example, the type of a Cloud SQL database is "cloudsql_database".
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.